;
;      To plot 1D slice for 1D test simulations
;      2006.1.20(the)
;
;  Usage:
;
;  idl> .r dread1
;  idl> .r vonz1D1
;
;
; choice of device
;plot_choice='ps'
plot_choice='x'

iwx=1 & jwy=2

!p.charsize=1.5
!p.charthick=1.5
;!p.thick=1.0
;!p.charsize=1.1
;!p.charthick=1.0
;!p.thick=1.0
chsz=2.0
rx=0.6

;ixon1=100

;izon=0 : z=0.0 rs

;mm1=2

!x.range=[0.0,8.0]

int=1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
case plot_choice of
'x' : begin
window,4,xs=600,ys=550,xpos=400,retain=2
end
'ps' : begin
set_plot,'ps'
device,/inches,xsize=7.5,ysize=7.0,yoffset=1,font_size=8
;device,/landscape
;device,/color,xoffset=0.5,yoffset=26.5,xsize=24,ysize=14,font_size=8
;!p.font=0 & device,/times,/italic
end
endcase

iw=iwx*jwy
dx0=1./iwx
dy0=1./jwy

!p.multi=[0,iwx,jwy]
!y.margin=[4.,5.]
!x.margin=[7.,7.]

;max min of vz


vzmx1=fltarr(mfile+1)
vzmm1=fltarr(mfile+1)

bpav1=fltarr(mfile+1)
bbav1=fltarr(mfile+1)

for mm=1,mfile do begin

 vzmx2=0.0
 vzmm2=0.0

 bpav2=0.0
 bbav2=0.0
 
 tnum=0.0

 for i=0, ixmax-1 do begin
  for j=0, iymax-1 do begin 

    if(vzmx2 le v2(i,j,mm)) then begin
      vxmx2=v2(i,j,mm)
    endif
    if(vzmm2 gt v2(i,j,mm)) then begin
      vzmm2=v2(i,j,mm)
    endif

    bpav2=bpav2+(b1(i,j,mm)^2+b2(i,j,mm)^2)
    bbav2=bbav2+(b1(i,j,mm)^2+b2(i,j,mm)^2+b3(i,j,mm)^2)

    tnum=tnum+1.0
  endfor
 endfor 

 vzmx1(mm)=vzmx2
 vzmm1(mm)=vzmm2

 bpav1(mm)=bpav2/tnum
 bbav1(mm)=bbav2/tnum
endfor

;
;(1) growth rate
;
;

;ldmyct,clr_index=clr,white=white,black=black
;loadct,5

!y.range=[0.01,0.5]

vzgro1=fltarr(mfile+1)
vzgro1=0.5*(vzmx1-vzmm1)

plot,ctime,vzgro1(*),title='!8growth rate',xtitle='!8time',xstyle=1,ystyle=1,linestyle=0,/ylog

;(2) Bpol
!y.range=[0.1,0.3]

plot,ctime,sqrt(bpav1(*)),title='!8poloidal field',xtitle='!8time',xstyle=1,ystyle=1,linestyle=0,/ylog

;;(2) Bsq
;!y.range=[0.01,0.5]
;
;plot,ctime,bpav1(*),title='B^2',xtitle='time',xstyle=1,ystyle=1,linestyle=0,/ylog

if (plot_choice ne 'x') then begin
   device,color=0
   device,/close
   !p.font=-1
;   set_plot,'x'
endif


end
