;
;      To plot 1D slice for 1D test simulations
;      2006.1.20(the)
;
;  Usage:
;
;  idl> .r dread1
;  idl> .r vonz1D1
;
;
; choice of device
;plot_choice='ps'
plot_choice='x'

iwx=1 & jwy=3

!p.charsize=2.0
!p.charthick=2.0
;!p.thick=1.0
;!p.charsize=1.1
;!p.charthick=1.0
;!p.thick=1.0
chsz=2.0
rx=0.6

;ixon1=100

;izon=0 : z=0.0 rs

;mm1=2

!x.range=[0.0,100.0]

int=1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
case plot_choice of
'x' : begin
window,4,xs=600,ys=550,xpos=400,retain=2
end
'ps' : begin
set_plot,'ps'
device,/inches,xsize=7.5,ysize=8.0,yoffset=1,font_size=8.5
;device,/landscape
;device,/color,xoffset=0.5,yoffset=26.5,xsize=24,ysize=14,font_size=8
;!p.font=0 & device,/times,/italic
end
endcase

iw=iwx*jwy
dx0=1./iwx
dy0=1./jwy

!p.multi=[0,iwx,jwy]
!y.margin=[4.,5.]
!x.margin=[7.,7.]

;
;(1) growth rate
;
;

;ldmyct,clr_index=clr,white=white,black=black
;loadct,5

!y.range=[-0.01,1.0]

plot,ctime,vxmx1(*),title='!8 Vx,max',xtitle='time',xstyle=1,ystyle=1,linestyle=0

;(2) Bsq
!y.range=[0.7,1.0]

plot,ctime,bbav1(*)/bbav1(1),title='!8 magnetic energy',xtitle='time',xstyle=1,ystyle=1,linestyle=0


;(2) Ey/B0

!y.range=[0.0,0.2]


plot,ctime,abs(e3(1020,400,*))/b0,title='!8E!Dz!N/v!DA,in!NB!Din!N',xtitle='time',xstyle=1,ystyle=1,linestyle=2
oplot,ctime,abs(e3(1020,400,*))/abs(va(1000,460,*)*b1(1000,460,*)),linestyle=0
;oplot,ctime,eymx1(*)/b0,linestyle=2
;oplot,ctime,abs(v2(1040,400,*))/va(1040,400,*),linestyle=1


if (plot_choice ne 'x') then begin
   device,color=0
   device,/close
   !p.font=-1
;   set_plot,'x'
endif


end
